## visad.data.units
Class DefaultUnitsDB.Prefixer

    java.lang.Object
      visad.data.units.DefaultUnitsDB.Prefixer

Enclosing class:
  DefaultUnitsDB

protected class DefaultUnitsDB.Prefixer
extends Object

Inner (helper) class for parsing unit prefixes.

Field Summary
`protected int` `pos` The current position within the string.
`protected String` `string` The string being parsed.
`protected double` `value` The current value of the prefix.

Constructor Summary
`protected` `DefaultUnitsDB.Prefixer(String string)` Construct.

Method Summary
`protected String` `getString()` Return the current, remaining string.
`protected double` `getValue()` Return the current prefix value.
`protected boolean` `isLessThan(UnitPrefix prefix)` Indicate whether or not the beginning of the remainder of the string is less than a prefix.
`protected boolean` `stripPrefix(UnitPrefix[] names, UnitPrefix[] symbols)` Strip leading prefix from the string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### string

    protected final String string

  The string being parsed.

### pos

    protected int pos

  The current position within the string.

### value

    protected double value

  The current value of the prefix.

Constructor Detail

### DefaultUnitsDB.Prefixer

    protected DefaultUnitsDB.Prefixer(String string)

  Construct.

Method Detail

### stripPrefix

    protected boolean stripPrefix(UnitPrefix[] names,
                                  UnitPrefix[] symbols)

  Strip leading prefix from the string.

### isLessThan

    protected boolean isLessThan(UnitPrefix prefix)

  Indicate whether or not the beginning of the remainder of the string is less than a prefix.

### getString

    protected String getString()

  Return the current, remaining string.

### getValue

    protected double getValue()

  Return the current prefix value.